#
# spec file for package RipIT
#
Name: ripit
Summary: Perl script to create .faac .flac .ogg .mp3 .als or .mpc Files from an audio CD
Version: 3.9.0
Release: 14%{?dist}
License: GPL
Group: Productivity/Multimedia/CD/Grabbers
Source: %{name}-%{version}.tar.gz
Packager: Felix Suwald
Url: http://www.suwald.com/ripit/index.html
AutoReqProv: 	no
Requires: cdparanoia vorbis-tools perl perl-CDDB_get
Requires: perl-WebService-MusicBrainz perl-MusicBrainz-DiscID
Requires: perl-Class-Accessor
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
This Perl script makes it a lot easier to create "mp3" files from an
audio CD. RipIT is a CLI script and supports Flac, Lame, Oggenc, Faac
mp4als and Musepack. Artist and song titles are retrieved either with
the CDDB_get.pm from freedb.org or using WebService::MusicBrainz.pm from
MusicBrainz.org. It is possible to submit and edit CDDB entries at
freedb.org, submission of MusicBrainz data need a login.
Hidden tracks and ghost songs are detected and splitted into chunks of
sound, toc or inf files permit to burn the wavs with text and no gaps in
DAO mode. Different encoding formats or even the same format at
different qualities can be used at the same time and encoded into
different directories.

Authors:
--------
    Felix Suwald <ripit[_at_]suwald[_dot_]com>
    Mads Martin Joergenson <mmj@mmj.dk>
    Simon Quinn

%prep

%setup

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/%{name}
install -m 644 config %{buildroot}/etc/%{name}
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 ripit.1 %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name}.pl %{buildroot}%{_bindir}/%{name}
#ln -s %{name}.pl %{buildroot}/%{_bindir}/%{name}

%clean
rm -rf %{buildroot}

# Be sure to list all files needed or delete them before they are
# checked, else you get the "Installed (but unpackaged) file(s) found"
# error message!
%files
%defattr(-,root,root)
%{_bindir}/%{name}
#%{_bindir}/%{name}.pl
%{_mandir}/man1/%{name}.1.gz
/etc/%{name}/config
%config /etc/ripit/config

%doc README HISTORY LICENSE Makefile ripit.spec

%changelog
* Sun Jun 12 2011 <admin@vortexbox.org>
- Fixed a MusicBrainz Various Artists bug

* Sat Jun 11 2011 <admin@vortexbox.org>
- Mod to use the new post-rip-process 

* Mon May 30 2011 <admin@vortexbox.org>
- Removed double eject

* Wed May 25 2011 <admin@vortexbox.org>
- Backup the existing config file

* Mon May 23 2011 <admin@vortexbox.org>
- Just transcode the CD that was ripped don't mirror everything

* Sun May 08 2011 <admin@vortexbox.org>
- Fixes to get correct Album Replay Gain tags

* Wed Mar 30 2011 <admin@vortexbox.org>
- Added Ron's fix for "Failure to encode to FLAC" bug

* Thu Mar 17 2011 <admin@vortexbox.org>
- Added some fixes for UTF-8

* Mon Dec 13 2010 <admin@vortexbox.org>
- Updated to 3.9.0

* Sat Jan 23 2010 <admin@vortexbox.org>
- Removed the line the removes "the" from the front of names

* Tue Dec 15 2009 <admin@vortexbox.org>
- Updated to 3.8.1

* Fri Oct 16 2009 <admin@vortexbox.org>
- Added --padding=8192 to FLAC options for better retagging preformance.

* Wed Aug 26 2009 <admin@vortexbox.org>
- Removed rip to mp3 by default

* Wed Nov 05 2008 admin <admin@vortexbox.org>
- Inital release
